Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	A program used for creating device files in /dev.
Name:      	MAKEDEV
Version:   	3.24
Release:   	1
License: 	GNU/GPL
URL:		http://www.lanana.org/docs/device-list/
Group:     	System/Base
Source0: 	%{name}-%{version}-1.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prereq: 	/usr/sbin/groupadd, /usr/sbin/useradd, grep, mktemp

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
This package contains the MAKEDEV program, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes
it easy to manage the /dev directory device files.

%pre
# Add the floopy group and the vcsa user.
/usr/sbin/groupadd -g 19 -r -f floppy > /dev/null 2>/dev/null
/usr/sbin/useradd -c "virtual console memory owner" -u 69 \
	-s /sbin/nologin -r -d /dev vcsa 2> /dev/null
exit 0

%prep
%setup -q

%build
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT devdir=/dev makedevdir=/sbin
rm -f $RPM_BUILD_ROOT/dev/MAKEDEV
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc COPYING devices-2.6+.txt
%{_mandir}/man8/*
%{_sbindir}/mksock
/sbin/MAKEDEV
%config %{_sysconfdir}/makedev.d

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.24-1
- Version update
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.21-1
- Version Update
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 3.20-1
- Initial Release
